<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: MTLG</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: MTLG</h1>

    




<section>

<header>
    
        <h2>MTLG</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description">MTLG framework</div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line9">line 9</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    
        <h3 class="subsection-title">Namespaces</h3>

        <dl>
            <dt><a href="MTLG.menu.html">menu</a></dt>
            <dd></dd>
        
            <dt><a href="MTLG.tangible.html">tangible</a></dt>
            <dd></dd>
        
            <dt><a href="MTLG.utilities.html">utilities</a></dt>
            <dd></dd>
        </dl>
    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="..addGameInit-ThisfunctionisusedtoregisterthegameinitfunctionwiththeMTLGframework.Itshouldbecalledinthegamejsfile."><span class="type-signature">(static) </span>.addGameInit -
This function is used to register the game init function with the MTLG framework.
It should be called in the game js file.<span class="signature">(initCallback)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>initCallback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">init function of game</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line312">line 312</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..addModule-Addaninitializationcallbackforamodule.ThiswillbecalledinMTLG.init()."><span class="type-signature">(static) </span>.addModule -
Add an initialization callback for a module.
This will be called in MTLG.init().<span class="signature">(initCallback, info)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>initCallback</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">the init function of the new module</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>info</code></td>
            

            <td class="type">
            
                
<span class="param-type">function</span>


            
            </td>

            

            

            <td class="description last">a function that returns version, name and type information of the module</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line290">line 290</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..addPlayer-Thisfunctionaddsaplayerandreturnsitsindex"><span class="type-signature">(static) </span>.addPlayer -
This function adds a player and returns its index<span class="signature">(newPlayer)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>newPlayer</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the player to be added</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line490">line 490</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..calculateCoordinates-Thisfunctiontransformscoordinatesbackfromareacoordinatestoglobalcoordinates"><span class="type-signature">(static) </span>.calculateCoordinates -
This function transforms coordinates back from area coordinates to global coordinates<span class="signature">(area, Ox, Oy)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>area</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">area in which is drawn</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>Ox</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the reference position where x = 0</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>Oy</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the reference position where y = 0</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    
        <dt class="important tag-deprecated">Deprecated:</dt><dd><ul class="dummy"><li>This kind of area should no longer be used</li></ul></dd>
    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line559">line 559</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..clearBackground-deleteseverythingonthebackgroundstage"><span class="type-signature">(static) </span>.clearBackground - deletes everything on the background stage<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1255">line 1255</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..clearStage-Thisfunctionclearsthestagebyremovingallchildren"><span class="type-signature">(static) </span>.clearStage -
This function clears the stage by removing all children<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line426">line 426</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..createContainers-Functiontocreateuserareasascreatejscontainers."><span class="type-signature">(static) </span>.createContainers -
Function to create user areas as createjs containers.<span class="signature">(numberOfPlayers)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>numberOfPlayers</code></td>
            

            <td class="type">
            
                
<span class="param-type">int</span>


            
            </td>

            

            

            <td class="description last">number of areas created</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line944">line 944</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..drawProgress-Thisfunctionprintstheprogressontothecanvas."><span class="type-signature">(static) </span>.drawProgress -
This function prints the progress onto the canvas.<span class="signature">(progress)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>progress</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">progress in percent, should be in [0,1]</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1124">line 1124</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..fixedSizeCm-makessizeofdisplayObjectsabsolute"><span class="type-signature">(static) </span>.fixedSizeCm -
makes size of displayObjects absolute<span class="signature">(obj, wCm, hCm, refObj)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>obj</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the object that will be scaled to the absolute size (should have bounds)</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>wCm</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">width in centimeters</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>hCm</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">height in centimeters</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>refObj</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">default: parent. Scaling of all ancestors up to this point is adopted, everything futher up is NOT scaled</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line250">line 250</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getBackgroundStage-returnsthebackgroundstage"><span class="type-signature">(static) </span>.getBackgroundStage - returns the background stage<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1264">line 1264</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getBiggestFreeArea-Thisfunctioncalculatesthelargestpossiblefreeareaonthestage,whichcanbeplacedinthemiddle,consideringthespecifiedareas"><span class="type-signature">(static) </span>.getBiggestFreeArea -
This function calculates the largest possible free area on the stage,
which can be placed in the middle,
considering the specified areas<span class="signature">(areas)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>areas</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the areas that must not intersect the new area</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    
        <dt class="important tag-deprecated">Deprecated:</dt><dd><ul class="dummy"><li>This kind of area should no longer be used</li></ul></dd>
    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line679">line 679</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getOptions-Thisfunctionsreturnstheoptionsobject"><span class="type-signature">(static) </span>.getOptions -
This functions returns the options object<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line530">line 530</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getPlayer-Thisfunctionreturnsaspecificplayer"><span class="type-signature">(static) </span>.getPlayer -
This function returns a specific player<span class="signature">(index)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">the player's index</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line501">line 501</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getPlayerName-Thisfunctionreturnsthenameofaspecificplayer"><span class="type-signature">(static) </span>.getPlayerName -
This function returns the name of a specific player<span class="signature">(index)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">the player's index</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line520">line 520</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getPlayerNumber-Thisfunctionreturnsthenumberofplayers"><span class="type-signature">(static) </span>.getPlayerNumber -
This function returns the number of players<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line481">line 481</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getScaleFactor-returnsthecurrentscalingfactor"><span class="type-signature">(static) </span>.getScaleFactor - returns the current scaling factor<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1288">line 1288</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getSettings-Thisfunctionsreturnsthesettingsobject"><span class="type-signature">(static) </span>.getSettings -
This functions returns the settings object<span class="signature">()</span><span class="type-signature"> &rarr; {object}</span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line539">line 539</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    the stage
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">object</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="..getStage-Thisfunctionreturnsthestageobject"><span class="type-signature">(static) </span>.getStage -
This function returns the stage object<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line417">line 417</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..getStageContainer-returnsthecontainerthatisusedtosimulatethestage"><span class="type-signature">(static) </span>.getStageContainer - returns the container that is used to simulate the stage<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1280">line 1280</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..init-Thisfunctioninitializesthelearninggame.Itiscalledwhentheonload-eventofbodyinindex.htmlisfired.Thefunctionloadsallsettings,createsastage,initializesmodulesandcallsthegameinitfunction."><span class="type-signature">(static) </span>.init -
This function initializes the learning game.
It is called when the onload-event of body in index.html is fired.
The function loads all settings, creates a stage, initializes modules
and calls the game init function.<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line49">line 49</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..loadModulsMTLG-overwritesoldmoduleoptions"><span class="type-signature">(static) </span>.loadModulsMTLG - overwrites old module options<span class="signature">(newOptions)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>newOptions</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last">the new module options</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line468">line 468</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..loadOptions-Loadnewoptions-overwritesoldoptionswherethesamekeyisused"><span class="type-signature">(static) </span>.loadOptions -
Load new options - overwrites old options where the same key is used<span class="signature">(newOptions)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>newOptions</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last">an object containing the new options</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line435">line 435</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..loadSettings-Loadnewsettings-overwritesoldsettingswherethesamekeyisused"><span class="type-signature">(static) </span>.loadSettings -
Load new settings - overwrites old settings where the same key is used<span class="signature">(newSettings)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>newSettings</code></td>
            

            <td class="type">
            
                
<span class="param-type">object</span>


            
            </td>

            

            

            <td class="description last">an object containing the new settings</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line449">line 449</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..removeAllPlayers-Thisfunctionremovestheactiveplayersfromthearrayandthusfromtheframework"><span class="type-signature">(static) </span>.removeAllPlayers -
This function removes the active players from the array and thus from the framework<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line511">line 511</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..resize-resizeallcanvasoverlays,keepingaspectratio"><span class="type-signature">(static) </span>.resize - resize all canvas overlays, keeping aspect ratio<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line235">line 235</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..scaleUserThisfunctionscalesthegivenuserareato(notby)thegivenscaling-factor%3C/br%3ETODO:ZurZeitskaliertesumdie%C3%BCbergebenProzentzahl%3C/br%3EAssertions:areaistrechteckig,vonderMitteweggedreht"><span class="type-signature">(static) </span>.scaleUser
This function scales the given user area to (not by) the given scaling- factor </br>
TODO: Zur Zeit skaliert es um die übergeben Prozentzahl </br>
Assertions: area ist rechteckig, von der Mitte weg gedreht<span class="signature">(area, factor)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>area</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the area that will be resized</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>factor</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the factor by which should be scaled</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    
        <dt class="important tag-deprecated">Deprecated:</dt><dd><ul class="dummy"><li>This kind of area should no longer be used</li></ul></dd>
    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line640">line 640</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..setBackgroundColor-afunctiontosetabackgroundcoloronaseperatestage."><span class="type-signature">(static) </span>.setBackgroundColor - a function to set a background color on a seperate stage.<span class="signature">(color)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>color</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The color that will be set</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1233">line 1233</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..setBackgroundContainer-afunctiontosetacreatejscontainerasbackgroundonaseperatestage."><span class="type-signature">(static) </span>.setBackgroundContainer - a function to set a createjs container as background on a seperate stage.<span class="signature">(color)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>color</code></td>
            

            <td class="type">
            
                
<span class="param-type">container</span>


            
            </td>

            

            

            <td class="description last">The container that will be set</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1245">line 1245</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..setBackgroundImage-afunctiontosetabackgroundimageonaseperatestage."><span class="type-signature">(static) </span>.setBackgroundImage - a function to set a background image on a seperate stage.<span class="signature">(src)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>src</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The path of the background image to be set relative to the img/ folder</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1205">line 1205</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..setBackgroundImageFill-afunctiontosetabackgroundimageonaseperatestage.Stretchespicturetofitstage"><span class="type-signature">(static) </span>.setBackgroundImageFill - a function to set a background image on a seperate stage. Stretches picture to fit stage<span class="signature">(src)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>src</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The path of the background image to be set relative to the img/ folder</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line1218">line 1218</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..toLocal-Thisfunctiontransformsglobaltolocalcoordinatesforareas"><span class="type-signature">(static) </span>.toLocal -
This function transforms global to local coordinates for areas<span class="signature">(area, Ox, Oy)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>area</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">area in which is drawn</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>Ox</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the reference position where x = 0</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>Oy</code></td>
            

            <td class="type">
            
            </td>

            

            

            <td class="description last">the reference position where y = 0</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    
        <dt class="important tag-deprecated">Deprecated:</dt><dd><ul class="dummy"><li>This kind of area should no longer be used</li></ul></dd>
    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="framework_mtlg.js.html">framework/mtlg.js</a>, <a href="framework_mtlg.js.html#line599">line 599</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="MTLG.utilities.graph.html">graph</a></li></ul><h3>Namespaces</h3><ul><li><a href="MTLG.html">MTLG</a></li><li><a href="MTLG.menu.html">menu</a></li><li><a href="MTLG.tangible.html">tangible</a></li><li><a href="MTLG.utilities.html">utilities</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Dec 04 2017 15:08:57 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>